| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mfs_i2c_config Struct Reference
Multi Function Serial Interface (MFS)

I2C configuration structure. More...

`#include <mfs.h>`

Collaboration diagram for stc_mfs_i2c_config:
[legend]

## Data Fields
en_i2c_mode_t | enMsMode
| I2C master mode or slave mode.
uint32_t | u32BaudRate
| Baud rate (bps)
uint8_t | u8SlaveAddr
| Slave address (This is effective on slave mode.)
uint8_t | u8SlaveMaskAddr
| Slave Mask address (This is effective on slave mode.)
boolean_t | bWaitSelection
| FALSE: generate interrupt after ACK, TRUE: generate interrupt before ACK.
boolean_t | bDmaEnable
| FALSE: don't use DMA function, TRUE: use DMA function.
boolean_t | bEnableFifo
| FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.
stc_mfs_fifo_config_t | stcFifoConfig

## Detailed Description

I2C configuration structure.

Definition at line 922 of file mfs.h.

## Field Documentation

boolean_t bDmaEnable

FALSE: don't use DMA function, TRUE: use DMA function.

Definition at line 929 of file mfs.h.

Referenced by At24cxx_Init(), and Mfs_I2c_Init().

boolean_t bEnableFifo

FALSE: Not enable FIFO configuration, TRUE: enable FIFO configuration.

Definition at line 931 of file mfs.h.

Referenced by At24cxx_Init(), and Mfs_I2c_Init().

boolean_t bWaitSelection

FALSE: generate interrupt after ACK, TRUE: generate interrupt before ACK.

Definition at line 928 of file mfs.h.

Referenced by At24cxx_Init().

en_i2c_mode_t enMsMode

I2C master mode or slave mode.

Definition at line 924 of file mfs.h.

Referenced by At24cxx_Init(), and Mfs_I2c_Init().

stc_mfs_fifo_config_t stcFifoConfig

Definition at line 932 of file mfs.h.

Referenced by Mfs_I2c_Init().

uint32_t u32BaudRate

Baud rate (bps)

Definition at line 925 of file mfs.h.

Referenced by At24cxx_Init(), and Mfs_I2c_Init().

uint8_t u8SlaveAddr

Slave address (This is effective on slave mode.)

Definition at line 926 of file mfs.h.

Referenced by Mfs_I2c_Init().

uint8_t u8SlaveMaskAddr

Slave Mask address (This is effective on slave mode.)

Definition at line 927 of file mfs.h.

Referenced by Mfs_I2c_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h